<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" version="1.0">

<xsl:template match="*">
   <xsl:apply-templates />
</xsl:template>

<xsl:template match="text()">
   <xsl:value-of select="." />
</xsl:template>

<xsl:template match="/">
<html>
<head>
<title>Primary Outpost</title>
<style type="text/css">
   * { font-family: arial, helvetica, "sans serif" }
   .blurb { border: 1px solid green; 
            font-size: 10pt;
            width: 90%;
            padding: 10px; }
   .blurbcell { text-align: center;
                padding: 10px; }
   a { text-decoration: none;
       color: green; }
   .headline { width: 100%;
               text-align: center }
   .navlinks { background-color: #EEEEEE }
   .gossipcell { font-size: 10pt; }
   .admincell { text-align: center;
                font-size: 8pt; }
</style>

</head>
<body style="text-align:center">
<img src="images/logo.gif" alt="Primary Outpost Logo" height="67" width="496" />

<table>
<tr><td colspan="2" class="blurbcell">

      <xsl:apply-templates select="content/blurb" />
   
</td></tr>

<tr><td width="20%" class="navlinks">
<p>
<a href="news/news.asp" title="the latest happenings">
<img src="images/news.gif" border="0" align="middle" alt="News" height="39" width="39" />
News</a><br />
<a href="news/archives.asp" title="better late then never">
<img src="images/archives.gif" border="0" align="middle" alt="Archived News" height="39" width="39" />
Archived News</a><br />
<a href="bazaar/bazaar.asp" title="shop">
<img src="images/bazaar.gif" border="0" align="middle" alt="The Bazaar" height="39" width="39" />
The Bazaar</a><br />
<a href="auction/auctions.asp" title="got it? sell it. want it? buy it">
<img src="images/auction.gif" border="0" align="middle" alt="Auctions" height="39" width="39" />
Auctions</a><br />
<a href="mySpace/mySpace.asp" title="carve out your niche">
<img src="images/myspace.gif" border="0" align="middle" alt="mySpace" height="39" width="39" />
mySpace</a><br />
<a href="register.asp" title="jump on board">
<img src="images/register.gif" border="0" align="middle" alt="Register" height="39" width="39" />
Register</a>
</p>
</td><td class="gossipcell">

      <xsl:apply-templates select="content/gossip" />

</td></tr>

<tr><td colspan="2" class="admincell">

   <xsl:apply-templates select="content/admin" />
   
</td></tr>

</table>

</body>
</html>   
</xsl:template>

<xsl:template match="content/blurb">
   <div class="blurb">
      <xsl:value-of select="." />
   </div>
</xsl:template>

<xsl:template match="content/gossip">
   <h3 class="headline">The Unknown Gossip Columnist Rides Again</h3>
   <xsl:for-each select="teaser">
      <xsl:apply-templates select="." />
      <hr />
   </xsl:for-each>
</xsl:template>

<xsl:template match="movie">"<xsl:value-of select="." />"</xsl:template>

<xsl:template match="tvshow"><i><xsl:value-of select="." /></i></xsl:template>

<xsl:template match="person"><b><xsl:value-of select="." /></b></xsl:template>

<xsl:template match="resource">
   <xsl:element name="a">
      <xsl:attribute name="href"><xsl:value-of select="@location" /></xsl:attribute>
      <xsl:value-of select="." />
   </xsl:element>
</xsl:template>

<xsl:template match="content/admin">
   <div class="admin">
      <xsl:value-of select="." />
   </div>
</xsl:template>

</xsl:stylesheet>
